package com.srs.comprehensive.domain;

import java.util.Date;
import java.io.Serializable;

/**
 * (SchoolMajor)实体类
 *
 * @author Chao
 * @since 2023-07-14 10:22:29
 */
public class SchoolMajor implements Serializable {
    private static final long serialVersionUID = -60667213239114984L;
     
    private Integer id;
    /**
     * 专业名称
     */ 
    private String majorName;
    /**
     * 学院id
     */ 
    private Long deptId;
    /**
     * 专业介绍
     */ 
    private String introduction;
    /**
     * 专业代码
     */ 
    private String majorCode;
    /**
     * 写入时间
     */ 
    private Date writeTime;
    /**
     * 读取时间
     */ 
    private Date readTime;
    /**
     * 数据状态 1-启用 0-未启用
     */ 
    private String dataStatus;
    /**
     * 读写状态 2-已读 1-未读
     */ 
    private String chmodStatus;
    private String deptCode;

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }




    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getMajorCode() {
        return majorCode;
    }

    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }

    public Date getWriteTime() {
        return writeTime;
    }

    public void setWriteTime(Date writeTime) {
        this.writeTime = writeTime;
    }

    public Date getReadTime() {
        return readTime;
    }

    public void setReadTime(Date readTime) {
        this.readTime = readTime;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getChmodStatus() {
        return chmodStatus;
    }

    public void setChmodStatus(String chmodStatus) {
        this.chmodStatus = chmodStatus;
    }

}


